Bug 60458 - Find with Format carries unwanted Asian Typography option values by itself
Summary: Find with Format carries unwanted Asian Typography option values by itself
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: All Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Find-Search
  Show dependency treegraph
 
Reported: 2013-02-07 23:57 UTC by JonG
Modified: 2022-10-28 03:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Search and rep dialog showing format selections below search box (42.85 KB, image/png)
2013-02-07 23:57 UTC, JonG
Details

Note You need to log in before you can comment on or make changes to this bug.
Description JonG 2013-02-07 23:57:58 UTC
Created attachment 74393 [details]
Search and rep dialog showing format selections below search box

I wanted to search and replace text that is red. Normally I would only need to use format, and select 'red' font and I would get hits, but there appear to be other settings there and their description is so long I can't figure how/why they are set. So I don't get any matches. If I select all three options of Asian typography tab I do get hits. I am used to OpenOffice and assumed this should be the same?
Comment 1 Urmas 2013-02-08 04:45:13 UTC
Confirmed with master. Asian Typography options checkboxes are not properly inited to a neutral state in that Format dialog.
Comment 2 JonG 2013-05-28 08:16:50 UTC
Is there any indication of when this bug will be fixed?
Comment 3 j.tronel 2013-08-20 22:48:57 UTC
Hi,

Confirmed with Calc/Writer search. Only workaround seems unchecking "Show UI Elements for East Asian writings" (Tools > Options > Language settings > Language)
Comment 4 Jeff 2013-08-22 15:57:43 UTC
Hi,

Confirmed on Windows7proSP1 with 4.0.4.2

Regards
Comment 5 QA Administrators 2015-04-01 14:40:16 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-04-20 18:14:04 UTC
(In reply to Urmas from comment #1)
> Confirmed with master. Asian Typography options checkboxes are not properly
> inited to a neutral state in that Format dialog.

Reproduced. Now the dialog can be resized, though..

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI
Comment 7 QA Administrators 2016-09-20 09:32:16 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2020-10-27 04:25:31 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2022-10-28 03:33:13 UTC
Dear JonG,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug